package org.dromara.zjk.event;

import org.dromara.zjk.domain.dto.OnchainDto;
import org.dromara.zjk.domain.dto.SmsUpInfoDto;
import org.springframework.context.ApplicationEvent;

/**
 * @author : yanguohua
 * @version : 1.0
 * @date : 2024/11/7 16:21
 */
public class OnchainEvent extends ApplicationEvent {
    private OnchainDto onchainDto;

    public OnchainEvent(Object source, OnchainDto onchainDto) {
        super(source);
        this.onchainDto = onchainDto;
    }

    public OnchainDto getOnchainDto() {
        return onchainDto;
    }

    public void setOnchainDto(OnchainDto onchainDto) {
        this.onchainDto = onchainDto;
    }
}
